Name:           libicns
Version:        0.8.1
Release:    1%{?dist}
Summary:        Library for manipulating Macintosh icns files

License:        LGPLv2+ and GPLv2+
URL:            http://icns.sourceforge.net/
Source0:        http://downloads.sourceforge.net/icns/%{name}-%{version}.tar.gz
Patch0:         %{name}-0.8.1-gcc6.patch

BuildRequires:  gcc
BuildRequires:  libpng-devel
BuildRequires:  jasper-devel
BuildRequires: make

%description
libicns is a library providing functionality for easily reading and 
writing Macintosh icns files


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package        utils
Summary:        Utilities for %{name}
Requires:       %{name} = %{version}-%{release}

%description    utils
icns2png - convert Mac OS icns files to png images
png2icns - convert png images to Mac OS icns files
icontainer2icns - extract icns files from icontainers 


%prep
%setup -q
%patch0 -p1


%build
%configure --disable-static
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%make_build


%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'




%files
%doc AUTHORS NEWS README TODO
%license COPYING COPYING.LGPL-2 COPYING.LGPL-2.1
%{_libdir}/*.so.*

%files devel
%doc src/apidocs.*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc

%files utils
%{_bindir}/*
%{_mandir}/man1/*
%doc README


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.1-1
- initial build
